GroovyParser.ModifierContext (Groovy 4.0.15)

Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.ModifierContext

- org.apache.groovy.parser.antlr4.GroovyParser.ModifierContext

-     public static class GroovyParser.ModifierContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `Token` | `m` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ModifierContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `DEF()`
    `` | `public TerminalNode` | `NATIVE()`
    `` | `public TerminalNode` | `SYNCHRONIZED()`
    `` | `public TerminalNode` | `TRANSIENT()`
    `` | `public TerminalNode` | `VAR()`
    `` | `public TerminalNode` | `VOLATILE()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public GroovyParser.ClassOrInterfaceModifierContext` | `classOrInterfaceModifier()`
    `` | `public int` | `getRuleIndex()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Field Detail

    - #### public Token m

  - ### Constructor Detail

    - #### public ModifierContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public TerminalNode DEF()

    - #### public TerminalNode NATIVE()

    - #### public TerminalNode SYNCHRONIZED()

    - #### public TerminalNode TRANSIENT()

    - #### public TerminalNode VAR()

    - #### public TerminalNode VOLATILE()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public GroovyParser.ClassOrInterfaceModifierContext classOrInterfaceModifier()

    - #### @Override
      public int getRuleIndex()